# $Revision: 1.59 $, $Date: 2009/03/30 23:50:35 $
# TODO: optflags
Summary:	Port of WebKit embeddable web component to GTK+
Summary(pl.UTF-8):	Port osadzalnego komponentu WWW WebKit do GTK+
Name:		gtk-webkit
Version:	1.1.4
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	http://webkitgtk.org/webkit-%{version}.tar.gz
# Source0-md5:	2c941eb9ad9e791fba9b57bf252e3f04
URL:		http://webkitgtk.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	curl-devel >= 7.11.0
BuildRequires:	flex
BuildRequires:	fontconfig-devel >= 1.0.0
BuildRequires:	gnome-keyring-devel >= 2.26.0
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gperf
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 2.2.0
BuildRequires:	libsoup-devel >= 2.26.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libxslt-devel
BuildRequires:	pango-devel
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.0.0
BuildRequires:	xorg-lib-libXt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
webkit is a port of the WebKit embeddable web component to GTK+.

%description -l pl.UTF-8
webkit to port osadzalnego komponentu WWW WebKit do GTK+.

%package devel
Summary:	Development files for webkit
Summary(pl.UTF-8):	Pliki programistyczne webkit
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.11.0
Requires:	fontconfig-devel >= 1.0.0
Requires:	libicu-devel
Requires:	librsvg-devel >= 2.2.0
Requires:	libstdc++-devel
Requires:	xorg-lib-libXft-devel >= 2.0.0

%description devel
Development files for webkit.

%description devel -l pl.UTF-8
Pliki programistyczne webkit.

%prep
%setup -q -n webkit-%{version}

%build
%{__aclocal} -I autotools
%{__libtoolize}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-dom-storage \
	--enable-gnomekeyring \
	--enable-icon-database \
	--enable-svg-experimental \
	--enable-svg-filters \
	--enable-video
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jsc
%attr(755,root,root) %{_libdir}/libwebkit-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkit-1.0.so.2
%dir %{_datadir}/webkit-1.0
%{_datadir}/webkit-1.0/webinspector

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwebkit-1.0.so
%{_libdir}/libwebkit-1.0.la
%{_includedir}/webkit-1.0
%{_pkgconfigdir}/webkit-1.0.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk-webkit.spec,v $
Revision 1.59  2009/03/30 23:50:35  patrys
- 1.1.4

Revision 1.58  2009/03/17 14:45:11  patrys
- rel 2

Revision 1.57  2009/03/17 14:44:04  patrys
- no it uses .2

Revision 1.56  2009/03/17 14:28:00  patrys
- uses old soname

Revision 1.55  2009/03/17 14:27:44  patrys
- 1.1.3

Revision 1.54  2009/03/17 13:34:56  patrys
- merged from DEVEL

Revision 1.53.2.2  2009/03/08 16:59:03  patrys
- fix packaging
- use freetype backend as pango backend is obsolete

Revision 1.53.2.1  2009/03/02 17:13:19  patrys
- 1.1.1 stable
- requires new libsoup so it has to wait on DEVEL

Revision 1.53  2009/02/08 22:14:02  megabajt
- added CVE reference

Revision 1.52  2009/01/21 10:57:50  vip
- up to r40023

Revision 1.51  2008/11/19 22:57:27  patrys
- 1.0.3 [fixes CVE-2008-6059]

Revision 1.50  2008/11/09 19:18:40  megabajt
- release 2

Revision 1.49  2008/10/23 11:33:13  witekfl
- new snap

Revision 1.48  2008/10/05 14:07:07  arekm
- up to r37306

Revision 1.47  2008/10/01 18:44:26  patrys
- current snap

Revision 1.46  2008/09/08 10:13:12  patrys
- r36247

Revision 1.45  2008/08/23 00:47:47  patrys
- current snap

Revision 1.44  2008/07/19 15:16:49  megabajt
- oops, commited wrong version; updated to r35231

Revision 1.43  2008/07/19 15:11:54  megabajt
- r35177

Revision 1.42  2008/06/10 15:10:25  patrys
- r34469

Revision 1.41  2008-06-03 13:32:24  patrys
- r34318

Revision 1.40  2008-05-29 15:36:54  patrys
- r34192

Revision 1.39  2008-05-10 14:06:17  patrys
- BR: libXt-devel

Revision 1.38  2008-05-02 23:28:49  patrys
- r32822

Revision 1.37  2008-04-25 19:43:03  qboosh
- sorted BRs

Revision 1.36  2008-04-24 17:36:08  arekm
- enable dom storage; icon db; svg filters

Revision 1.35  2008-04-24 15:46:20  sls
- gtk-webkit-devel R: libicu-devel

Revision 1.34  2008-04-24 12:51:31  sls
- more BR

Revision 1.33  2008-04-21 13:02:15  patrys
- build with SVG support
- use pango for layout

Revision 1.32  2008-04-21 09:27:04  patrys
- r32284

Revision 1.31  2008-04-01 19:48:34  patrys
- r31446

Revision 1.30  2008-03-21 18:05:31  patrys
- wrong rel, use 1

Revision 1.29  2008-03-21 18:04:54  patrys
- r31201

Revision 1.28  2008-03-14 22:43:47  arekm
- rel .3; fix ppc build

Revision 1.27  2008-03-09 23:57:05  patrys
- use correct names
- rel 2

Revision 1.26  2008-03-09 23:02:43  patrys
- 30885

Revision 1.25  2008-02-28 15:32:09  patrys
- r30628

Revision 1.24  2008-02-20 13:17:05  patrys
- r30377

Revision 1.23  2008-02-12 16:28:43  patrys
- r30153

Revision 1.22  2008-02-10 21:12:28  patrys
- r30122

Revision 1.21  2008-02-08 16:28:26  patrys
- current snap
- use GNOME build path instead of qmake

Revision 1.20  2008-02-07 22:41:21  patrys
- actually use the correct include dir

Revision 1.19  2008-02-07 21:47:29  patrys
- r30053

Revision 1.18  2008-01-24 10:47:46  patrys
- current snap

Revision 1.17  2008-01-04 19:15:44  qboosh
- qt4-qmake -> qmake-qt4

Revision 1.16  2008-01-02 18:31:41  patrys
- r29079

Revision 1.15  2007-12-17 11:25:04  patrys
- r28767

Revision 1.14  2007-12-10 01:04:06  patrys
- current snap

Revision 1.13  2007-12-04 17:17:08  patrys
- current version

Revision 1.12  2007-11-23 16:40:08  patrys
- current snap
- proper packaging

Revision 1.11  2007/10/31 11:03:41  patrys
- r27208

Revision 1.10  2007/10/23 13:38:57  patrys
- patch obsolete, use build param

Revision 1.9  2007/10/23 13:32:56  patrys
- r26865

Revision 1.8  2007/10/04 15:16:49  patrys
- use version from pkgconfig

Revision 1.7  2007/10/04 15:14:06  patrys
- current snap
- use nightly snaps
- module name changed

Revision 1.6  2007/09/10 08:45:13  patrys
- current snap

Revision 1.5  2007/08/27 13:07:33  patrys
- current snapshot

Revision 1.4  2007/08/25 15:39:53  qboosh
- todo: optflags
- simplified install

Revision 1.3  2007/08/25 15:38:08  qboosh
- BR+R at least libstdc++-devel
- no references to nrcore inside

Revision 1.2  2007/08/11 20:42:26  patrys
- missing R: name

Revision 1.1  2007/08/11 20:39:16  patrys
- initial PLD release
